<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::SectionInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1SectionInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::SectionInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::SectionInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1SectionInfo__coll__graph.png" border="0" usemap="#Catch_1_1SectionInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1SectionInfo_coll__map" id="Catch_1_1SectionInfo_coll__map">
<area shape="rect" title=" " alt="" coords="17,95,157,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2808437ae7d4bc0830cee1c3995165a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a2808437ae7d4bc0830cee1c3995165a6">SectionInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, std::string const &amp;_name)</td></tr>
<tr class="separator:a2808437ae7d4bc0830cee1c3995165a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139875f2e7bd12a5898a948f8bad15b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a139875f2e7bd12a5898a948f8bad15b3">SectionInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, std::string const &amp;_name, std::string const &amp;)</td></tr>
<tr class="separator:a139875f2e7bd12a5898a948f8bad15b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2808437ae7d4bc0830cee1c3995165a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a2808437ae7d4bc0830cee1c3995165a6">SectionInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, std::string const &amp;_name)</td></tr>
<tr class="separator:a2808437ae7d4bc0830cee1c3995165a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139875f2e7bd12a5898a948f8bad15b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a139875f2e7bd12a5898a948f8bad15b3">SectionInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo, std::string const &amp;_name, std::string const &amp;)</td></tr>
<tr class="separator:a139875f2e7bd12a5898a948f8bad15b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a704c8fc662d309137e0d4f199cb7df58"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a704c8fc662d309137e0d4f199cb7df58">name</a></td></tr>
<tr class="separator:a704c8fc662d309137e0d4f199cb7df58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0052060219a6de74bb7ade34d4163a4e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#a0052060219a6de74bb7ade34d4163a4e">description</a></td></tr>
<tr class="separator:a0052060219a6de74bb7ade34d4163a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbc83b8a3507c4acc8ee249e93465711"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionInfo.html#adbc83b8a3507c4acc8ee249e93465711">lineInfo</a></td></tr>
<tr class="separator:adbc83b8a3507c4acc8ee249e93465711"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2808437ae7d4bc0830cee1c3995165a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2808437ae7d4bc0830cee1c3995165a6">&#9670;&nbsp;</a></span>SectionInfo() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SectionInfo::SectionInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a139875f2e7bd12a5898a948f8bad15b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a139875f2e7bd12a5898a948f8bad15b3">&#9670;&nbsp;</a></span>SectionInfo() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SectionInfo::SectionInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2808437ae7d4bc0830cee1c3995165a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2808437ae7d4bc0830cee1c3995165a6">&#9670;&nbsp;</a></span>SectionInfo() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SectionInfo::SectionInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a139875f2e7bd12a5898a948f8bad15b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a139875f2e7bd12a5898a948f8bad15b3">&#9670;&nbsp;</a></span>SectionInfo() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SectionInfo::SectionInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a0052060219a6de74bb7ade34d4163a4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0052060219a6de74bb7ade34d4163a4e">&#9670;&nbsp;</a></span>description</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::SectionInfo::description</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adbc83b8a3507c4acc8ee249e93465711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbc83b8a3507c4acc8ee249e93465711">&#9670;&nbsp;</a></span>lineInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> Catch::SectionInfo::lineInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a704c8fc662d309137e0d4f199cb7df58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a704c8fc662d309137e0d4f199cb7df58">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::SectionInfo::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
